# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_HDataMapOfStringHArray1OfInteger Class Reference

Extension of TDataStd_DataMapOfStringHArray1OfInteger class
to be manipulated by handle.
.

`#include <TDataStd_HDataMapOfStringHArray1OfInteger.hxx>`

## Public Member Functions

Standard_EXPORT | TDataStd_HDataMapOfStringHArray1OfInteger (const Standard_Integer NbBuckets=1)
Standard_EXPORT | TDataStd_HDataMapOfStringHArray1OfInteger (const TDataStd_DataMapOfStringHArray1OfInteger &theOther)
const TDataStd_DataMapOfStringHArray1OfInteger & | Map () const
TDataStd_DataMapOfStringHArray1OfInteger & | ChangeMap ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TDataStd_DataMapOfStringHArray1OfInteger | myMap

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_HDataMapOfStringHArray1OfInteger::TDataStd_HDataMapOfStringHArray1OfInteger | ( | const Standard_Integer | NbBuckets = `1` | ) |

Standard_EXPORT TDataStd_HDataMapOfStringHArray1OfInteger::TDataStd_HDataMapOfStringHArray1OfInteger | ( | const TDataStd_DataMapOfStringHArray1OfInteger & | theOther | ) |

## Member Function Documentation

TDataStd_DataMapOfStringHArray1OfInteger & TDataStd_HDataMapOfStringHArray1OfInteger::ChangeMap | ( |  | ) | `[inline]`

Standard_EXPORT const TDataStd_HDataMapOfStringHArray1OfInteger::Handle | ( | Standard_Type |  | ) | const

const TDataStd_DataMapOfStringHArray1OfInteger & TDataStd_HDataMapOfStringHArray1OfInteger::Map | ( |  | ) | const`[inline]`

## Field Documentation

TDataStd_DataMapOfStringHArray1OfInteger TDataStd_HDataMapOfStringHArray1OfInteger::myMap `[private]`

The documentation for this class was generated from the following files:

- TDataStd_HDataMapOfStringHArray1OfInteger.hxx
- TDataStd_HDataMapOfStringHArray1OfInteger.lxx